summaryrefslogtreecommitdiffstats
path: root/debian/config
diff options
context:
space:
mode:
authorEgil Moeller <egil.moller@freecode.no>2010-04-28 22:14:31 +0200
committerEgil Moeller <egil.moller@freecode.no>2010-04-28 22:14:31 +0200
commitc6c9281b939ca20b351a9c178254f05e69ced28b (patch)
tree85a47b0cca536d34d873528ab329fa3aecdd2851 /debian/config
parent7b93e5093e4a181e94eb61b9321e45c01df1feb9 (diff)
downloadetherpad-c6c9281b939ca20b351a9c178254f05e69ced28b.tar.gz
etherpad-c6c9281b939ca20b351a9c178254f05e69ced28b.tar.bz2
etherpad-c6c9281b939ca20b351a9c178254f05e69ced28b.zip
git-buildpackage-converted debian packaging
Diffstat (limited to 'debian/config')
-rw-r--r--debian/config49
1 files changed, 49 insertions, 0 deletions
diff --git a/debian/config b/debian/config
new file mode 100644
index 0000000..f97ab33
--- /dev/null
+++ b/debian/config
@@ -0,0 +1,49 @@
+#!/bin/bash
+
+################################################################################
+#
+# Copyright (c) 2010 penSec.IT UG (haftungsbeschränkt)
+# http://www.pensec.it
+# mail@pensec.it
+# Copyright (c) 2010 Egil Möller <egil.moller@piratpartiet.se>
+#
+# Licensed under the Apache License, Version 2.0 (the "License"); you may not
+# use this file except in compliance with the License. You may obtain a copy of
+# the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+# License for the specific language governing permissions and limitations under
+# the License.
+#
+################################################################################
+
+
+
+set -e
+. /usr/share/debconf/confmodule
+
+if [ -n "$ETHERPAD_DEBUG" ]; then
+ echo "now debugging $0 $@"
+ set -x
+fi
+
+db_version 2.0
+
+# Set up database
+. /usr/share/dbconfig-common/dpkg/config.mysql
+dbc_go etherpad $@
+
+db_input high "etherpad/admin_password" || true
+db_go
+
+db_get "etherpad/topdomains"
+if ! [ "$RET" ]; then
+ db_set "etherpad/topdomains" "$(hostname -f)"
+fi
+
+db_input high "etherpad/topdomains" || true
+db_go